Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.scheduling.timer
Class TimerFactoryBean

    java.lang.Object
      org.springframework.scheduling.timer.TimerFactoryBean

All Implemented Interfaces:
  Aware, BeanNameAware, DisposableBean, FactoryBean<java.util.Timer>, InitializingBean

Deprecated. as of Spring 3.0, in favor of the `scheduling.concurrent` package which is based on Java 5's `java.util.concurrent.ExecutorService`

    @Deprecated
    public class TimerFactoryBean

extends java.lang.Object
implements FactoryBean<java.util.Timer>, BeanNameAware, InitializingBean, DisposableBean

FactoryBean that sets up a `Timer` and exposes it for bean references.

Allows for registration of `ScheduledTimerTasks`, automatically starting the `Timer` on initialization and cancelling it on destruction of the context. In scenarios that just require static registration of tasks at startup, there is no need to access the `Timer` instance itself in application code at all.

Note that the `Timer` mechanism uses a `TimerTask` instance that is shared between repeated executions, in contrast to Quartz which creates a new Job instance for each execution.

Since:
  19.02.2004
Author:
  Juergen Hoeller
See Also:
  `ScheduledTimerTask`, `Timer`, `TimerTask`

Field Summary
`protected org.apache.commons.logging.Log` | `logger` Deprecated.

Constructor Summary
`TimerFactoryBean()` Deprecated.

Method Summary
`void` | `afterPropertiesSet()` Deprecated. Invoked by a BeanFactory after it has set all bean properties supplied (and satisfied BeanFactoryAware and ApplicationContextAware).
`protected java.util.Timer` | `createTimer(java.lang.String name, boolean daemon)` Deprecated. Create a new Timer instance.
`void` | `destroy()` Deprecated. Cancel the Timer on bean factory shutdown, stopping all scheduled tasks.
`java.util.Timer` | `getObject()` Deprecated. Return an instance (possibly shared or independent) of the object managed by this factory.
`java.lang.Class<? extends java.util.Timer>` | `getObjectType()` Deprecated. Return the type of object that this FactoryBean creates, or `null` if not known in advance.
`boolean` | `isSingleton()` Deprecated. Is the object managed by this factory a singleton? That is, will `FactoryBean.getObject()` always return the same object (a reference that can be cached)?
`protected void` | `registerTasks(ScheduledTimerTask[] tasks, java.util.Timer timer)` Deprecated. Register the specified `ScheduledTimerTasks` on the given `Timer`.
`void` | `setBeanName(java.lang.String beanName)` Deprecated. Set the name of the bean in the bean factory that created this bean.
`void` | `setDaemon(boolean daemon)` Deprecated. Set whether the timer should use a daemon thread, just executing as long as the application itself is running.
`void` | `setScheduledTimerTasks(ScheduledTimerTask[] scheduledTimerTasks)` Deprecated. Register a list of ScheduledTimerTask objects with the Timer that this FactoryBean creates.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final org.apache.commons.logging.Log logger

  Deprecated.

Constructor Detail

### TimerFactoryBean

    public TimerFactoryBean()

  Deprecated.

Method Detail

### setScheduledTimerTasks

    public void setScheduledTimerTasks(ScheduledTimerTask[] scheduledTimerTasks)

  Deprecated.
  Register a list of ScheduledTimerTask objects with the Timer that this FactoryBean creates. Depending on each SchedulerTimerTask's settings, it will be registered via one of Timer's schedule methods.

  See Also:
    `Timer.schedule(java.util.TimerTask, long)`, `Timer.schedule(java.util.TimerTask, long, long)`, `Timer.scheduleAtFixedRate(java.util.TimerTask, long, long)`

### setDaemon

    public void setDaemon(boolean daemon)

  Deprecated.
  Set whether the timer should use a daemon thread, just executing as long as the application itself is running.

  Default is "false": The timer will automatically get cancelled on destruction of this FactoryBean. Hence, if the application shuts down, tasks will by default finish their execution. Specify "true" for eager shutdown of threads that execute tasks.

  See Also:
    `Timer.Timer(boolean)`

### setBeanName

    public void setBeanName(java.lang.String beanName)

  Deprecated.
  Description copied from interface: `BeanNameAware`
  Set the name of the bean in the bean factory that created this bean.

  Invoked after population of normal bean properties but before an init callback such as `InitializingBean.afterPropertiesSet()` or a custom init-method.

  Specified by:
    `setBeanName` in interface `BeanNameAware`
  Parameters:
    `beanName` - the name of the bean in the factory. Note that this name is the actual bean name used in the factory, which may differ from the originally specified name: in particular for inner bean names, the actual bean name might have been made unique through appending "#..." suffixes. Use the `BeanFactoryUtils.originalBeanName(String)` method to extract the original bean name (without suffix), if desired.

### afterPropertiesSet

    public void afterPropertiesSet()

  Deprecated.
  Description copied from interface: `InitializingBean`
  Invoked by a BeanFactory after it has set all bean properties supplied (and satisfied BeanFactoryAware and ApplicationContextAware).

  This method allows the bean instance to perform initialization only possible when all bean properties have been set and to throw an exception in the event of misconfiguration.

  Specified by:
    `afterPropertiesSet` in interface `InitializingBean`

### createTimer

    protected java.util.Timer createTimer(java.lang.String name,
                                          boolean daemon)

  Deprecated.
  Create a new Timer instance. Called by `afterPropertiesSet`. Can be overridden in subclasses to provide custom Timer subclasses.

  Parameters:
    `name` - the desired name of the Timer's associated thread
    `daemon` - whether to create a Timer that runs as daemon thread
  Returns:
    a new Timer instance
  See Also:
    `afterPropertiesSet()`, `Timer.Timer(boolean)`

### registerTasks

    protected void registerTasks(ScheduledTimerTask[] tasks,
                                 java.util.Timer timer)

  Deprecated.
  Register the specified `ScheduledTimerTasks` on the given `Timer`.

  Parameters:
    `tasks` - the specified ScheduledTimerTasks (never empty)
    `timer` - the Timer to register the tasks on.

### getObject

    public java.util.Timer getObject()

  Deprecated.
  Description copied from interface: `FactoryBean`
  Return an instance (possibly shared or independent) of the object managed by this factory.

  As with a `BeanFactory`, this allows support for both the Singleton and Prototype design pattern.

  If this FactoryBean is not fully initialized yet at the time of the call (for example because it is involved in a circular reference), throw a corresponding `FactoryBeanNotInitializedException`.

  As of Spring 2.0, FactoryBeans are allowed to return `null` objects. The factory will consider this as normal value to be used; it will not throw a FactoryBeanNotInitializedException in this case anymore. FactoryBean implementations are encouraged to throw FactoryBeanNotInitializedException themselves now, as appropriate.

  Specified by:
    `getObject` in interface `FactoryBean<java.util.Timer>`
  Returns:
    an instance of the bean (can be `null`)
  See Also:
    `FactoryBeanNotInitializedException`

### getObjectType

    public java.lang.Class<? extends java.util.Timer> getObjectType()

  Deprecated.
  Description copied from interface: `FactoryBean`
  Return the type of object that this FactoryBean creates, or `null` if not known in advance.

  This allows one to check for specific types of beans without instantiating objects, for example on autowiring.

  In the case of implementations that are creating a singleton object, this method should try to avoid singleton creation as far as possible; it should rather estimate the type in advance. For prototypes, returning a meaningful type here is advisable too.

  This method can be called before this FactoryBean has been fully initialized. It must not rely on state created during initialization; of course, it can still use such state if available.

  NOTE: Autowiring will simply ignore FactoryBeans that return `null` here. Therefore it is highly recommended to implement this method properly, using the current state of the FactoryBean.

  Specified by:
    `getObjectType` in interface `FactoryBean<java.util.Timer>`
  Returns:
    the type of object that this FactoryBean creates, or `null` if not known at the time of the call
  See Also:
    `ListableBeanFactory.getBeansOfType(java.lang.Class)`

### isSingleton

    public boolean isSingleton()

  Deprecated.
  Description copied from interface: `FactoryBean`
  Is the object managed by this factory a singleton? That is, will `FactoryBean.getObject()` always return the same object (a reference that can be cached)?

  NOTE: If a FactoryBean indicates to hold a singleton object, the object returned from `getObject()` might get cached by the owning BeanFactory. Hence, do not return `true` unless the FactoryBean always exposes the same reference.

  The singleton status of the FactoryBean itself will generally be provided by the owning BeanFactory; usually, it has to be defined as singleton there.

  NOTE: This method returning `false` does not necessarily indicate that returned objects are independent instances. An implementation of the extended `SmartFactoryBean` interface may explicitly indicate independent instances through its `SmartFactoryBean.isPrototype()` method. Plain `FactoryBean` implementations which do not implement this extended interface are simply assumed to always return independent instances if the `isSingleton()` implementation returns `false`.

  Specified by:
    `isSingleton` in interface `FactoryBean<java.util.Timer>`
  Returns:
    whether the exposed object is a singleton
  See Also:
    `FactoryBean.getObject()`, `SmartFactoryBean.isPrototype()`

### destroy

    public void destroy()

  Deprecated.
  Cancel the Timer on bean factory shutdown, stopping all scheduled tasks.

  Specified by:
    `destroy` in interface `DisposableBean`
  See Also:
    `Timer.cancel()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD